<template>
  <component :is="isMobile ? getMobileComp() : getDesktopComp()"></component>
</template>

<script>
import MonasteriesList from '@/components/MonasteriesList.vue';
import MonasteriesListMobile from '@/components/MonasteriesListMobile.vue';

export default {
  name: 'MonasteriesListFactory',
  components: {
    MonasteriesList,
    MonasteriesListMobile,
  },
  data () {
    return {
      list: null,
    };
  },
  computed: {
    isMobile () {
      return this.$store.state.isMobile;
    },
  },
  methods: {
    getMobileComp () {
      return MonasteriesListMobile;
    },
    getDesktopComp () {
      return MonasteriesList;
    },
  },
};
</script>

<style scoped>

</style>
